<!DOCTYPE html>
<html lang="en">
  <head>
    <%- include('../_meta.ejs') %>
    <title><%= locals.project %> · <%- title %></title>
    <%- include('../_favicon.ejs') %>
    <%- include('../_bootstrap.ejs') %>
    <link rel="stylesheet" href="<%- locals.host %>/css/login.css" />
    <link rel="stylesheet" href="<%- locals.host %>/lib/font-awesome/css/all.min.css" />
  </head>
  <body class="text-center">
    <main class="form-signin w-100 m-auto">
      <form autocomplete="off" action="<%- locals.host %>/oidc/_tldr/<%= uid %>/login" method="post">
        <img class="mb-4" src="<%- locals.host %>/asset/image/company-logo.svg" alt="" width="72" height="57" />
        <h1 class="h3 mb-3 fw-normal"><strong><%- title %></strong></h1>

        <div class="form-floating">
          <input required type="text" name="username" class="form-control" id="floatingInput" placeholder="Email or username" <% if (!params.login_hint) { %>autofocus="on"<% } else { %> value="<%= params.login_hint %>" <% } %> />
          <label for="floatingInput">Email or username</label>
        </div>

        <div class="form-floating">
          <input required type="password" name="password" class="form-control" id="floatingPassword" placeholder="Password" <% if (params.login_hint) { %>autofocus="on"<% } %> />
          <label for="floatingPassword">Password</label>
        </div>

        <div class="checkbox mb-2">
          <label> <input type="checkbox" value="remember-me" /> Remember me </label>
        </div>

        <button class="w-100 btn btn-lg btn-primary" type="submit">Sign in</button>
      </form>
      <% if (locals.google) { %> <%- include('./_login-with-google.ejs') %> <% } %>
      <%- include('./_login-helper.ejs') %>
      <%- include('./_debug.ejs') %>
      <p class="mt-5 mb-3 text-body-secondary">&copy; 2017–2023</p>
    </main>
  </body>
</html>
